# Uses of Class
net.shibboleth.idp.attribute.resolver.ResolvedAttributeDefinition

Packages that use ResolvedAttributeDefinition
Package
Description
net.shibboleth.idp.attribute.resolver.context
The context to do with Attribute Resolution.

## Uses of ResolvedAttributeDefinition in net.shibboleth.idp.attribute.resolver.context

Fields in net.shibboleth.idp.attribute.resolver.context with type parameters of type ResolvedAttributeDefinition
Modifier and Type
Field
Description
`private final Map<String,ResolvedAttributeDefinition>`
AttributeResolverWorkContext.`resolvedAttributeDefinitions`
Attribute definitions that have been resolved and the resultant attribute.
Methods in net.shibboleth.idp.attribute.resolver.context that return types with arguments of type ResolvedAttributeDefinition
Modifier and Type
Method
Description
`Map<String,ResolvedAttributeDefinition>`
AttributeResolverWorkContext.`getResolvedIdPAttributeDefinitions()`
Gets the resolved attribute definitions that been recorded.